# Generated by rust2rpm 27
%bcond_without check
%global debug_package %{nil}

%global crate litemap

Name:           rust-litemap
Version:        0.7.3
Release:        %mkrel 1
Summary:        Key-value Map implementation based on a flat, sorted Vec
Group:          Development/Rust
BuildArch:      noarch

License:        Unicode-3.0
URL:            https://crates.io/crates/litemap
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop benchmark-only criterion dependency
# * Do not depend on postcard; we patch out tests and examples that require it
# * Omit removed examples from Cargo.toml
Patch:          litemap-fix-metadata.diff
# * Fix test panics/segfaults in litemap on big-endian hosts
# * https://github.com/unicode-org/icu4x/pull/6293
# * Exported with git format-patch [...] --relative
Patch10:        0001-Fix-test-panics-segfaults-in-litemap-on-big-endian-h.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A key-value Map implementation based on a flat, sorted Vec.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+databake-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+databake-devel %{_description}

This package contains library source intended for building other packages which
use the "databake" feature of the "%{crate}" crate.

%files       -n %{name}+databake-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+testing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+testing-devel %{_description}

This package contains library source intended for building other packages which
use the "testing" feature of the "%{crate}" crate.

%files       -n %{name}+testing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+yoke-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+yoke-devel %{_description}

This package contains library source intended for building other packages which
use the "yoke" feature of the "%{crate}" crate.

%files       -n %{name}+yoke-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# Avoid a dependency on the internal icu_benchmark_macros crate;
# examples/litemap_postcard.rs also requires postcard
rm -rv examples/
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Mon Apr 21 2025 wally <wally> 0.7.3-1.mga10
+ Revision: 2177604
- imported package rust-litemap


* Mon Apr 21 2025 Jani Välimaa <wally@mageia.org> - 0.7.5-1
- Initial package
